com.genesyslab.wfm7.API.service.config761

## Class CfgPlanningPeriodHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgPlanningPeriodHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgPlanningPeriodHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgPlanningPeriod[]` | `periods`
    `private int` | `periodsNSizeIs`
    `private int` | `wmPlanningPeriodType`
    `private int` | `wmSiteId`
    `private int` | `wmWeekStartDay`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgPlanningPeriodHolder()`
    `CfgPlanningPeriodHolder(int wmSiteId, int wmPlanningPeriodType, int wmWeekStartDay, int periodsNSizeIs, CfgPlanningPeriod[] periods)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgPlanningPeriod[]` | `getPeriods()` Gets the periods value for this CfgPlanningPeriodHolder.
    `int` | `getPeriodsNSizeIs()` Gets the periodsNSizeIs value for this CfgPlanningPeriodHolder.
    `int` | `getWmPlanningPeriodType()` Gets the wmPlanningPeriodType value for this CfgPlanningPeriodHolder.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgPlanningPeriodHolder.
    `int` | `getWmWeekStartDay()` Gets the wmWeekStartDay value for this CfgPlanningPeriodHolder.
    `int` | `hashCode()`
    `void` | `setPeriods(CfgPlanningPeriod[] periods)` Sets the periods value for this CfgPlanningPeriodHolder.
    `void` | `setPeriodsNSizeIs(int periodsNSizeIs)` Sets the periodsNSizeIs value for this CfgPlanningPeriodHolder.
    `void` | `setWmPlanningPeriodType(int wmPlanningPeriodType)` Sets the wmPlanningPeriodType value for this CfgPlanningPeriodHolder.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgPlanningPeriodHolder.
    `void` | `setWmWeekStartDay(int wmWeekStartDay)` Sets the wmWeekStartDay value for this CfgPlanningPeriodHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSiteId

          private int wmSiteId

    - #### wmPlanningPeriodType

          private int wmPlanningPeriodType

    - #### wmWeekStartDay

          private int wmWeekStartDay

    - #### periodsNSizeIs

          private int periodsNSizeIs

    - #### periods

          private CfgPlanningPeriod[] periods

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgPlanningPeriodHolder

          public CfgPlanningPeriodHolder()

    - #### CfgPlanningPeriodHolder

          public CfgPlanningPeriodHolder(int wmSiteId,
                                 int wmPlanningPeriodType,
                                 int wmWeekStartDay,
                                 int periodsNSizeIs,
                                 CfgPlanningPeriod[] periods)

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgPlanningPeriodHolder.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgPlanningPeriodHolder.
      Parameters:
        `wmSiteId` -

    - #### getWmPlanningPeriodType

          public int getWmPlanningPeriodType()

      Gets the wmPlanningPeriodType value for this CfgPlanningPeriodHolder.
      Returns:
        wmPlanningPeriodType

    - #### setWmPlanningPeriodType

          public void setWmPlanningPeriodType(int wmPlanningPeriodType)

      Sets the wmPlanningPeriodType value for this CfgPlanningPeriodHolder.
      Parameters:
        `wmPlanningPeriodType` -

    - #### getWmWeekStartDay

          public int getWmWeekStartDay()

      Gets the wmWeekStartDay value for this CfgPlanningPeriodHolder.
      Returns:
        wmWeekStartDay

    - #### setWmWeekStartDay

          public void setWmWeekStartDay(int wmWeekStartDay)

      Sets the wmWeekStartDay value for this CfgPlanningPeriodHolder.
      Parameters:
        `wmWeekStartDay` -

    - #### getPeriodsNSizeIs

          public int getPeriodsNSizeIs()

      Gets the periodsNSizeIs value for this CfgPlanningPeriodHolder.
      Returns:
        periodsNSizeIs

    - #### setPeriodsNSizeIs

          public void setPeriodsNSizeIs(int periodsNSizeIs)

      Sets the periodsNSizeIs value for this CfgPlanningPeriodHolder.
      Parameters:
        `periodsNSizeIs` -

    - #### getPeriods

          public CfgPlanningPeriod[] getPeriods()

      Gets the periods value for this CfgPlanningPeriodHolder.
      Returns:
        periods

    - #### setPeriods

          public void setPeriods(CfgPlanningPeriod[] periods)

      Sets the periods value for this CfgPlanningPeriodHolder.
      Parameters:
        `periods` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.